# pulp_ansible_client

PulpAnsibleClient - the Ruby gem for the Pulp 3 API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 0.2.0b13.dev01588546902
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build pulp_ansible_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./pulp_ansible_client-0.2.0b13.dev01588546902.gem
```

(for development, run `gem install --dev ./pulp_ansible_client-0.2.0b13.dev01588546902.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'pulp_ansible_client', '~> 0.2.0b13.dev01588546902'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'pulp_ansible_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'pulp_ansible_client'

# Setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = PulpAnsibleClient::AnsibleCollectionsApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  namespace: 'namespace_example', # String | 
  name: 'name_example', # String | 
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List collections
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling AnsibleCollectionsApi->list: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PulpAnsibleClient::AnsibleCollectionsApi* | [**list**](docs/AnsibleCollectionsApi.md#list) | **GET** /pulp/api/v3/ansible/collections/ | List collections
*PulpAnsibleClient::AnsibleCollectionsApi* | [**upload_collection**](docs/AnsibleCollectionsApi.md#upload_collection) | **POST** /ansible/collections/ | Upload a collection
*PulpAnsibleClient::ContentCollectionVersionsApi* | [**create**](docs/ContentCollectionVersionsApi.md#create) | **POST** /pulp/api/v3/content/ansible/collection_versions/ | Create a collection version
*PulpAnsibleClient::ContentCollectionVersionsApi* | [**list**](docs/ContentCollectionVersionsApi.md#list) | **GET** /pulp/api/v3/content/ansible/collection_versions/ | List collection versions
*PulpAnsibleClient::ContentCollectionVersionsApi* | [**read**](docs/ContentCollectionVersionsApi.md#read) | **GET** {collection_version_href} | Inspect a collection version
*PulpAnsibleClient::ContentRolesApi* | [**create**](docs/ContentRolesApi.md#create) | **POST** /pulp/api/v3/content/ansible/roles/ | Create a role
*PulpAnsibleClient::ContentRolesApi* | [**list**](docs/ContentRolesApi.md#list) | **GET** /pulp/api/v3/content/ansible/roles/ | List roles
*PulpAnsibleClient::ContentRolesApi* | [**read**](docs/ContentRolesApi.md#read) | **GET** {role_href} | Inspect a role
*PulpAnsibleClient::DistributionsAnsibleApi* | [**create**](docs/DistributionsAnsibleApi.md#create) | **POST** /pulp/api/v3/distributions/ansible/ansible/ | Create an ansible distribution
*PulpAnsibleClient::DistributionsAnsibleApi* | [**delete**](docs/DistributionsAnsibleApi.md#delete) | **DELETE** {ansible_distribution_href} | Delete an ansible distribution
*PulpAnsibleClient::DistributionsAnsibleApi* | [**list**](docs/DistributionsAnsibleApi.md#list) | **GET** /pulp/api/v3/distributions/ansible/ansible/ | List ansible distributions
*PulpAnsibleClient::DistributionsAnsibleApi* | [**partial_update**](docs/DistributionsAnsibleApi.md#partial_update) | **PATCH** {ansible_distribution_href} | Partially update an ansible distribution
*PulpAnsibleClient::DistributionsAnsibleApi* | [**read**](docs/DistributionsAnsibleApi.md#read) | **GET** {ansible_distribution_href} | Inspect an ansible distribution
*PulpAnsibleClient::DistributionsAnsibleApi* | [**update**](docs/DistributionsAnsibleApi.md#update) | **PUT** {ansible_distribution_href} | Update an ansible distribution
*PulpAnsibleClient::PulpAnsibleApiApi* | [**list**](docs/PulpAnsibleApiApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi* | [**create**](docs/PulpAnsibleGalaxyApiCollectionsApi.md#create) | **POST** /pulp_ansible/galaxy/{path}/api/v2/collections/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi* | [**list**](docs/PulpAnsibleGalaxyApiCollectionsApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v2/collections/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi* | [**list_0**](docs/PulpAnsibleGalaxyApiCollectionsApi.md#list_0) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collections/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi* | [**read**](docs/PulpAnsibleGalaxyApiCollectionsApi.md#read) | **GET** {collection_href} | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiRolesApi* | [**list**](docs/PulpAnsibleGalaxyApiRolesApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v1/roles/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiV1VersionsApi* | [**list**](docs/PulpAnsibleGalaxyApiV1VersionsApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v1/roles/{role_pk}/versions/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiV2VersionsApi* | [**list**](docs/PulpAnsibleGalaxyApiV2VersionsApi.md#list) | **GET** {collection_href}versions/ | 
*PulpAnsibleClient::PulpAnsibleGalaxyApiV3CollectionsApi* | [**create**](docs/PulpAnsibleGalaxyApiV3CollectionsApi.md#create) | **POST** /pulp_ansible/galaxy/{path}/api/v3/artifacts/collections/ | Upload a collection
*PulpAnsibleClient::PulpAnsibleGalaxyApiV3CollectionsApi* | [**read**](docs/PulpAnsibleGalaxyApiV3CollectionsApi.md#read) | **GET** {collection_import_href} | Inspect a collection import
*PulpAnsibleClient::PulpAnsibleTagsApi* | [**list**](docs/PulpAnsibleTagsApi.md#list) | **GET** /pulp/api/v3/pulp_ansible/tags/ | List tags
*PulpAnsibleClient::RemotesAnsibleApi* | [**create**](docs/RemotesAnsibleApi.md#create) | **POST** /pulp/api/v3/remotes/ansible/ansible/ | Create an ansible remote
*PulpAnsibleClient::RemotesAnsibleApi* | [**delete**](docs/RemotesAnsibleApi.md#delete) | **DELETE** {ansible_remote_href} | Delete an ansible remote
*PulpAnsibleClient::RemotesAnsibleApi* | [**list**](docs/RemotesAnsibleApi.md#list) | **GET** /pulp/api/v3/remotes/ansible/ansible/ | List ansible remotes
*PulpAnsibleClient::RemotesAnsibleApi* | [**partial_update**](docs/RemotesAnsibleApi.md#partial_update) | **PATCH** {ansible_remote_href} | Partially update an ansible remote
*PulpAnsibleClient::RemotesAnsibleApi* | [**read**](docs/RemotesAnsibleApi.md#read) | **GET** {ansible_remote_href} | Inspect an ansible remote
*PulpAnsibleClient::RemotesAnsibleApi* | [**update**](docs/RemotesAnsibleApi.md#update) | **PUT** {ansible_remote_href} | Update an ansible remote
*PulpAnsibleClient::RemotesCollectionApi* | [**create**](docs/RemotesCollectionApi.md#create) | **POST** /pulp/api/v3/remotes/ansible/collection/ | Create a collection remote
*PulpAnsibleClient::RemotesCollectionApi* | [**delete**](docs/RemotesCollectionApi.md#delete) | **DELETE** {collection_remote_href} | Delete a collection remote
*PulpAnsibleClient::RemotesCollectionApi* | [**list**](docs/RemotesCollectionApi.md#list) | **GET** /pulp/api/v3/remotes/ansible/collection/ | List collection remotes
*PulpAnsibleClient::RemotesCollectionApi* | [**partial_update**](docs/RemotesCollectionApi.md#partial_update) | **PATCH** {collection_remote_href} | Partially update a collection remote
*PulpAnsibleClient::RemotesCollectionApi* | [**read**](docs/RemotesCollectionApi.md#read) | **GET** {collection_remote_href} | Inspect a collection remote
*PulpAnsibleClient::RemotesCollectionApi* | [**update**](docs/RemotesCollectionApi.md#update) | **PUT** {collection_remote_href} | Update a collection remote
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**create**](docs/RepositoriesAnsibleApi.md#create) | **POST** /pulp/api/v3/repositories/ansible/ansible/ | Create an ansible repository
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**delete**](docs/RepositoriesAnsibleApi.md#delete) | **DELETE** {ansible_repository_href} | Delete an ansible repository
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**list**](docs/RepositoriesAnsibleApi.md#list) | **GET** /pulp/api/v3/repositories/ansible/ansible/ | List ansible repositorys
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**modify**](docs/RepositoriesAnsibleApi.md#modify) | **POST** {ansible_repository_href}modify/ | Modify Repository Content
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**partial_update**](docs/RepositoriesAnsibleApi.md#partial_update) | **PATCH** {ansible_repository_href} | Partially update an ansible repository
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**read**](docs/RepositoriesAnsibleApi.md#read) | **GET** {ansible_repository_href} | Inspect an ansible repository
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**sync**](docs/RepositoriesAnsibleApi.md#sync) | **POST** {ansible_repository_href}sync/ | 
*PulpAnsibleClient::RepositoriesAnsibleApi* | [**update**](docs/RepositoriesAnsibleApi.md#update) | **PUT** {ansible_repository_href} | Update an ansible repository
*PulpAnsibleClient::RepositoriesAnsibleVersionsApi* | [**delete**](docs/RepositoriesAnsibleVersionsApi.md#delete) | **DELETE** {ansible_repository_version_href} | Delete a repository version
*PulpAnsibleClient::RepositoriesAnsibleVersionsApi* | [**list**](docs/RepositoriesAnsibleVersionsApi.md#list) | **GET** {ansible_repository_href}versions/ | List repository versions
*PulpAnsibleClient::RepositoriesAnsibleVersionsApi* | [**read**](docs/RepositoriesAnsibleVersionsApi.md#read) | **GET** {ansible_repository_version_href} | Inspect a repository version
*PulpAnsibleClient::RepositoriesAnsibleVersionsApi* | [**repair**](docs/RepositoriesAnsibleVersionsApi.md#repair) | **POST** {ansible_repository_version_href}repair/ | 


## Documentation for Models

 - [PulpAnsibleClient::AnsibleAnsibleDistribution](docs/AnsibleAnsibleDistribution.md)
 - [PulpAnsibleClient::AnsibleAnsibleRemote](docs/AnsibleAnsibleRemote.md)
 - [PulpAnsibleClient::AnsibleAnsibleRepository](docs/AnsibleAnsibleRepository.md)
 - [PulpAnsibleClient::AnsibleCollection](docs/AnsibleCollection.md)
 - [PulpAnsibleClient::AnsibleCollectionRemote](docs/AnsibleCollectionRemote.md)
 - [PulpAnsibleClient::AnsibleCollectionVersion](docs/AnsibleCollectionVersion.md)
 - [PulpAnsibleClient::AnsibleRole](docs/AnsibleRole.md)
 - [PulpAnsibleClient::AnsibleTag](docs/AnsibleTag.md)
 - [PulpAnsibleClient::AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [PulpAnsibleClient::Collection](docs/Collection.md)
 - [PulpAnsibleClient::CollectionImportDetail](docs/CollectionImportDetail.md)
 - [PulpAnsibleClient::CollectionMetadata](docs/CollectionMetadata.md)
 - [PulpAnsibleClient::CollectionNamespace](docs/CollectionNamespace.md)
 - [PulpAnsibleClient::CollectionRef](docs/CollectionRef.md)
 - [PulpAnsibleClient::CollectionVersion](docs/CollectionVersion.md)
 - [PulpAnsibleClient::ContentSummary](docs/ContentSummary.md)
 - [PulpAnsibleClient::GalaxyCollection](docs/GalaxyCollection.md)
 - [PulpAnsibleClient::GalaxyCollectionVersion](docs/GalaxyCollectionVersion.md)
 - [PulpAnsibleClient::GalaxyRole](docs/GalaxyRole.md)
 - [PulpAnsibleClient::GalaxyRoleVersion](docs/GalaxyRoleVersion.md)
 - [PulpAnsibleClient::InlineResponse200](docs/InlineResponse200.md)
 - [PulpAnsibleClient::InlineResponse2001](docs/InlineResponse2001.md)
 - [PulpAnsibleClient::InlineResponse20010](docs/InlineResponse20010.md)
 - [PulpAnsibleClient::InlineResponse20011](docs/InlineResponse20011.md)
 - [PulpAnsibleClient::InlineResponse20012](docs/InlineResponse20012.md)
 - [PulpAnsibleClient::InlineResponse20013](docs/InlineResponse20013.md)
 - [PulpAnsibleClient::InlineResponse2002](docs/InlineResponse2002.md)
 - [PulpAnsibleClient::InlineResponse2003](docs/InlineResponse2003.md)
 - [PulpAnsibleClient::InlineResponse2004](docs/InlineResponse2004.md)
 - [PulpAnsibleClient::InlineResponse2005](docs/InlineResponse2005.md)
 - [PulpAnsibleClient::InlineResponse2006](docs/InlineResponse2006.md)
 - [PulpAnsibleClient::InlineResponse2007](docs/InlineResponse2007.md)
 - [PulpAnsibleClient::InlineResponse2008](docs/InlineResponse2008.md)
 - [PulpAnsibleClient::InlineResponse2009](docs/InlineResponse2009.md)
 - [PulpAnsibleClient::RepositoryAddRemoveContent](docs/RepositoryAddRemoveContent.md)
 - [PulpAnsibleClient::RepositorySyncURL](docs/RepositorySyncURL.md)
 - [PulpAnsibleClient::RepositoryVersion](docs/RepositoryVersion.md)
 - [PulpAnsibleClient::Tag](docs/Tag.md)


## Documentation for Authorization


### Basic

- **Type**: HTTP basic authentication

