# PulpAnsibleClient::AnsibleCollectionVersion

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_href** | **String** |  | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**id** | **String** | A collection identifier. | 
**authors** | **Array&lt;String&gt;** | A list of the CollectionVersion content&#39;s authors. | 
**contents** | **Array&lt;Hash&lt;String, String&gt;&gt;** | A JSON field with data about the contents. | 
**dependencies** | **Hash&lt;String, String&gt;** | A dict declaring Collections that this collection requires to be installed for it to be usable. | 
**description** | **String** | A short summary description of the collection. | 
**docs_blob** | **Hash&lt;String, String&gt;** | A JSON field holding the various documentation blobs in the collection. | 
**documentation** | **String** | The URL to any online docs. | 
**homepage** | **String** | The URL to the homepage of the collection/project. | 
**issues** | **String** | The URL to the collection issue tracker. | 
**certification** | **String** | Indicates that the version is certified | 
**license** | **Array&lt;String&gt;** | A list of licenses for content inside of a collection. | 
**name** | **String** | The name of the collection. | 
**namespace** | **String** | The namespace of the collection. | 
**repository** | **String** | The URL of the originating SCM repository. | 
**tags** | [**Array&lt;AnsibleTag&gt;**](AnsibleTag.md) |  | [optional] [readonly] 
**version** | **String** | The version of the collection. | 
**deprecated** | **Boolean** | Whether or not the collection has been deprecated. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleCollectionVersion.new(pulp_created: null,
                                 pulp_href: null,
                                 artifact: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null,
                                 id: null,
                                 authors: null,
                                 contents: null,
                                 dependencies: null,
                                 description: null,
                                 docs_blob: null,
                                 documentation: null,
                                 homepage: null,
                                 issues: null,
                                 certification: null,
                                 license: null,
                                 name: null,
                                 namespace: null,
                                 repository: null,
                                 tags: null,
                                 version: null,
                                 deprecated: null)
```


