# PulpAnsibleClient::ContentCollectionVersionsApi

All URIs are relative to *http://localhost:24817*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ContentCollectionVersionsApi.md#create) | **POST** /pulp/api/v3/content/ansible/collection_versions/ | Create a collection version
[**list**](ContentCollectionVersionsApi.md#list) | **GET** /pulp/api/v3/content/ansible/collection_versions/ | List collection versions
[**read**](ContentCollectionVersionsApi.md#read) | **GET** {collection_version_href} | Inspect a collection version



## create

> AnsibleCollectionVersion create(data)

Create a collection version

ViewSet for Ansible Collection.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::ContentCollectionVersionsApi.new
data = PulpAnsibleClient::AnsibleCollectionVersion.new # AnsibleCollectionVersion | 

begin
  #Create a collection version
  result = api_instance.create(data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling ContentCollectionVersionsApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**AnsibleCollectionVersion**](AnsibleCollectionVersion.md)|  | 

### Return type

[**AnsibleCollectionVersion**](AnsibleCollectionVersion.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## list

> InlineResponse2001 list(opts)

List collection versions

ViewSet for Ansible Collection.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::ContentCollectionVersionsApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  namespace: 'namespace_example', # String | 
  name: 'name_example', # String | 
  version: 'version_example', # String | Filter results where version matches value
  q: 'q_example', # String | 
  is_highest: 'is_highest_example', # String | 
  certification: 'certification_example', # String | 
  tags: 'tags_example', # String | Filter by comma separate list of tags that must all be matched
  repository_version: 'repository_version_example', # String | Repository Version referenced by HREF
  repository_version_added: 'repository_version_added_example', # String | Repository Version referenced by HREF
  repository_version_removed: 'repository_version_removed_example', # String | Repository Version referenced by HREF
  deprecated: 'deprecated_example', # String | 
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List collection versions
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling ContentCollectionVersionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **namespace** | **String**|  | [optional] 
 **name** | **String**|  | [optional] 
 **version** | **String**| Filter results where version matches value | [optional] 
 **q** | **String**|  | [optional] 
 **is_highest** | **String**|  | [optional] 
 **certification** | **String**|  | [optional] 
 **tags** | **String**| Filter by comma separate list of tags that must all be matched | [optional] 
 **repository_version** | **String**| Repository Version referenced by HREF | [optional] 
 **repository_version_added** | **String**| Repository Version referenced by HREF | [optional] 
 **repository_version_removed** | **String**| Repository Version referenced by HREF | [optional] 
 **deprecated** | **String**|  | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> AnsibleCollectionVersion read(collection_version_href, opts)

Inspect a collection version

ViewSet for Ansible Collection.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::ContentCollectionVersionsApi.new
collection_version_href = 'collection_version_href_example' # String | URI of Collection Version. e.g.: /pulp/api/v3/content/ansible/collection_versions/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a collection version
  result = api_instance.read(collection_version_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling ContentCollectionVersionsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **collection_version_href** | **String**| URI of Collection Version. e.g.: /pulp/api/v3/content/ansible/collection_versions/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleCollectionVersion**](AnsibleCollectionVersion.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

