# PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi

All URIs are relative to *http://localhost:24817*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](PulpAnsibleGalaxyApiCollectionsApi.md#create) | **POST** /pulp_ansible/galaxy/{path}/api/v2/collections/ | 
[**list**](PulpAnsibleGalaxyApiCollectionsApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v2/collections/ | 
[**list_0**](PulpAnsibleGalaxyApiCollectionsApi.md#list_0) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collections/ | 
[**read**](PulpAnsibleGalaxyApiCollectionsApi.md#read) | **GET** {collection_href} | 



## create

> GalaxyCollection create(path, data)



Queues a task that creates a new Collection from an uploaded artifact.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi.new
path = 'path_example' # String | 
data = PulpAnsibleClient::GalaxyCollection.new # GalaxyCollection | 

begin
  result = api_instance.create(path, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiCollectionsApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **data** | [**GalaxyCollection**](GalaxyCollection.md)|  | 

### Return type

[**GalaxyCollection**](GalaxyCollection.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## list

> InlineResponse20011 list(path, opts)



View for Collection models.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi.new
path = 'path_example' # String | 
opts = {
  page: 56, # Integer | A page number within the paginated result set.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.list(path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiCollectionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse20011**](InlineResponse20011.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_0

> InlineResponse20013 list_0(path, opts)



ViewSet for Collections.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi.new
path = 'path_example' # String | 
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.list_0(path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiCollectionsApi->list_0: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse20013**](InlineResponse20013.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> GalaxyCollection read(collection_href, opts)



Get the detail view of a Collection.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiCollectionsApi.new
collection_href = 'collection_href_example' # String | URI of Collection. e.g.: /pulp_ansible/galaxy/1/api/v2/collections/1/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.read(collection_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiCollectionsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **collection_href** | **String**| URI of Collection. e.g.: /pulp_ansible/galaxy/1/api/v2/collections/1/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**GalaxyCollection**](GalaxyCollection.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

