# PulpAnsibleClient::RemotesAnsibleApi

All URIs are relative to *http://localhost:24817*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RemotesAnsibleApi.md#create) | **POST** /pulp/api/v3/remotes/ansible/ansible/ | Create an ansible remote
[**delete**](RemotesAnsibleApi.md#delete) | **DELETE** {ansible_remote_href} | Delete an ansible remote
[**list**](RemotesAnsibleApi.md#list) | **GET** /pulp/api/v3/remotes/ansible/ansible/ | List ansible remotes
[**partial_update**](RemotesAnsibleApi.md#partial_update) | **PATCH** {ansible_remote_href} | Partially update an ansible remote
[**read**](RemotesAnsibleApi.md#read) | **GET** {ansible_remote_href} | Inspect an ansible remote
[**update**](RemotesAnsibleApi.md#update) | **PUT** {ansible_remote_href} | Update an ansible remote



## create

> AnsibleAnsibleRemote create(data)

Create an ansible remote

ViewSet for Ansible Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesAnsibleApi.new
data = PulpAnsibleClient::AnsibleAnsibleRemote.new # AnsibleAnsibleRemote | 

begin
  #Create an ansible remote
  result = api_instance.create(data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesAnsibleApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**AnsibleAnsibleRemote**](AnsibleAnsibleRemote.md)|  | 

### Return type

[**AnsibleAnsibleRemote**](AnsibleAnsibleRemote.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(ansible_remote_href)

Delete an ansible remote

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesAnsibleApi.new
ansible_remote_href = 'ansible_remote_href_example' # String | URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/

begin
  #Delete an ansible remote
  result = api_instance.delete(ansible_remote_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesAnsibleApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_remote_href** | **String**| URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> InlineResponse2005 list(opts)

List ansible remotes

ViewSet for Ansible Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesAnsibleApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  name: 'name_example', # String | 
  name__in: 'name__in_example', # String | Filter results where name is in a comma-separated list of values
  pulp_last_updated__lt: 'pulp_last_updated__lt_example', # String | Filter results where pulp_last_updated is less than value
  pulp_last_updated__lte: 'pulp_last_updated__lte_example', # String | Filter results where pulp_last_updated is less than or equal to value
  pulp_last_updated__gt: 'pulp_last_updated__gt_example', # String | Filter results where pulp_last_updated is greater than value
  pulp_last_updated__gte: 'pulp_last_updated__gte_example', # String | Filter results where pulp_last_updated is greater than or equal to value
  pulp_last_updated__range: 'pulp_last_updated__range_example', # String | Filter results where pulp_last_updated is between two comma separated values
  pulp_last_updated: 'pulp_last_updated_example', # String | ISO 8601 formatted dates are supported
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List ansible remotes
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesAnsibleApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **pulp_last_updated__lt** | **String**| Filter results where pulp_last_updated is less than value | [optional] 
 **pulp_last_updated__lte** | **String**| Filter results where pulp_last_updated is less than or equal to value | [optional] 
 **pulp_last_updated__gt** | **String**| Filter results where pulp_last_updated is greater than value | [optional] 
 **pulp_last_updated__gte** | **String**| Filter results where pulp_last_updated is greater than or equal to value | [optional] 
 **pulp_last_updated__range** | **String**| Filter results where pulp_last_updated is between two comma separated values | [optional] 
 **pulp_last_updated** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2005**](InlineResponse2005.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(ansible_remote_href, data)

Partially update an ansible remote

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesAnsibleApi.new
ansible_remote_href = 'ansible_remote_href_example' # String | URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/
data = PulpAnsibleClient::AnsibleAnsibleRemote.new # AnsibleAnsibleRemote | 

begin
  #Partially update an ansible remote
  result = api_instance.partial_update(ansible_remote_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesAnsibleApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_remote_href** | **String**| URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/ | 
 **data** | [**AnsibleAnsibleRemote**](AnsibleAnsibleRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## read

> AnsibleAnsibleRemote read(ansible_remote_href, opts)

Inspect an ansible remote

ViewSet for Ansible Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesAnsibleApi.new
ansible_remote_href = 'ansible_remote_href_example' # String | URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect an ansible remote
  result = api_instance.read(ansible_remote_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesAnsibleApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_remote_href** | **String**| URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleAnsibleRemote**](AnsibleAnsibleRemote.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> AsyncOperationResponse update(ansible_remote_href, data)

Update an ansible remote

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesAnsibleApi.new
ansible_remote_href = 'ansible_remote_href_example' # String | URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/
data = PulpAnsibleClient::AnsibleAnsibleRemote.new # AnsibleAnsibleRemote | 

begin
  #Update an ansible remote
  result = api_instance.update(ansible_remote_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesAnsibleApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_remote_href** | **String**| URI of Ansible Remote. e.g.: /pulp/api/v3/remotes/ansible/ansible/1/ | 
 **data** | [**AnsibleAnsibleRemote**](AnsibleAnsibleRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

