# PulpAnsibleClient::RemotesCollectionApi

All URIs are relative to *http://localhost:24817*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RemotesCollectionApi.md#create) | **POST** /pulp/api/v3/remotes/ansible/collection/ | Create a collection remote
[**delete**](RemotesCollectionApi.md#delete) | **DELETE** {collection_remote_href} | Delete a collection remote
[**list**](RemotesCollectionApi.md#list) | **GET** /pulp/api/v3/remotes/ansible/collection/ | List collection remotes
[**partial_update**](RemotesCollectionApi.md#partial_update) | **PATCH** {collection_remote_href} | Partially update a collection remote
[**read**](RemotesCollectionApi.md#read) | **GET** {collection_remote_href} | Inspect a collection remote
[**update**](RemotesCollectionApi.md#update) | **PUT** {collection_remote_href} | Update a collection remote



## create

> AnsibleCollectionRemote create(data)

Create a collection remote

ViewSet for Collection Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
data = PulpAnsibleClient::AnsibleCollectionRemote.new # AnsibleCollectionRemote | 

begin
  #Create a collection remote
  result = api_instance.create(data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)|  | 

### Return type

[**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(collection_remote_href)

Delete a collection remote

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
collection_remote_href = 'collection_remote_href_example' # String | URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/

begin
  #Delete a collection remote
  result = api_instance.delete(collection_remote_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **collection_remote_href** | **String**| URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> InlineResponse2006 list(opts)

List collection remotes

ViewSet for Collection Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  name: 'name_example', # String | 
  name__in: 'name__in_example', # String | Filter results where name is in a comma-separated list of values
  pulp_last_updated__lt: 'pulp_last_updated__lt_example', # String | Filter results where pulp_last_updated is less than value
  pulp_last_updated__lte: 'pulp_last_updated__lte_example', # String | Filter results where pulp_last_updated is less than or equal to value
  pulp_last_updated__gt: 'pulp_last_updated__gt_example', # String | Filter results where pulp_last_updated is greater than value
  pulp_last_updated__gte: 'pulp_last_updated__gte_example', # String | Filter results where pulp_last_updated is greater than or equal to value
  pulp_last_updated__range: 'pulp_last_updated__range_example', # String | Filter results where pulp_last_updated is between two comma separated values
  pulp_last_updated: 'pulp_last_updated_example', # String | ISO 8601 formatted dates are supported
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List collection remotes
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **pulp_last_updated__lt** | **String**| Filter results where pulp_last_updated is less than value | [optional] 
 **pulp_last_updated__lte** | **String**| Filter results where pulp_last_updated is less than or equal to value | [optional] 
 **pulp_last_updated__gt** | **String**| Filter results where pulp_last_updated is greater than value | [optional] 
 **pulp_last_updated__gte** | **String**| Filter results where pulp_last_updated is greater than or equal to value | [optional] 
 **pulp_last_updated__range** | **String**| Filter results where pulp_last_updated is between two comma separated values | [optional] 
 **pulp_last_updated** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2006**](InlineResponse2006.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(collection_remote_href, data)

Partially update a collection remote

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
collection_remote_href = 'collection_remote_href_example' # String | URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/
data = PulpAnsibleClient::AnsibleCollectionRemote.new # AnsibleCollectionRemote | 

begin
  #Partially update a collection remote
  result = api_instance.partial_update(collection_remote_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **collection_remote_href** | **String**| URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/ | 
 **data** | [**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## read

> AnsibleCollectionRemote read(collection_remote_href, opts)

Inspect a collection remote

ViewSet for Collection Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
collection_remote_href = 'collection_remote_href_example' # String | URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a collection remote
  result = api_instance.read(collection_remote_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **collection_remote_href** | **String**| URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> AsyncOperationResponse update(collection_remote_href, data)

Update a collection remote

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
collection_remote_href = 'collection_remote_href_example' # String | URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/
data = PulpAnsibleClient::AnsibleCollectionRemote.new # AnsibleCollectionRemote | 

begin
  #Update a collection remote
  result = api_instance.update(collection_remote_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **collection_remote_href** | **String**| URI of Collection Remote. e.g.: /pulp/api/v3/remotes/ansible/collection/1/ | 
 **data** | [**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

