# PulpAnsibleClient::RepositoriesAnsibleApi

All URIs are relative to *http://localhost:24817*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesAnsibleApi.md#create) | **POST** /pulp/api/v3/repositories/ansible/ansible/ | Create an ansible repository
[**delete**](RepositoriesAnsibleApi.md#delete) | **DELETE** {ansible_repository_href} | Delete an ansible repository
[**list**](RepositoriesAnsibleApi.md#list) | **GET** /pulp/api/v3/repositories/ansible/ansible/ | List ansible repositorys
[**modify**](RepositoriesAnsibleApi.md#modify) | **POST** {ansible_repository_href}modify/ | Modify Repository Content
[**partial_update**](RepositoriesAnsibleApi.md#partial_update) | **PATCH** {ansible_repository_href} | Partially update an ansible repository
[**read**](RepositoriesAnsibleApi.md#read) | **GET** {ansible_repository_href} | Inspect an ansible repository
[**sync**](RepositoriesAnsibleApi.md#sync) | **POST** {ansible_repository_href}sync/ | 
[**update**](RepositoriesAnsibleApi.md#update) | **PUT** {ansible_repository_href} | Update an ansible repository



## create

> AnsibleAnsibleRepository create(data)

Create an ansible repository

ViewSet for Ansible Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
data = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Create an ansible repository
  result = api_instance.create(data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(ansible_repository_href)

Delete an ansible repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/

begin
  #Delete an ansible repository
  result = api_instance.delete(ansible_repository_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> InlineResponse2007 list(opts)

List ansible repositorys

ViewSet for Ansible Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  name: 'name_example', # String | 
  name__in: 'name__in_example', # String | Filter results where name is in a comma-separated list of values
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List ansible repositorys
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2007**](InlineResponse2007.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(ansible_repository_href, data)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/
data = PulpAnsibleClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(ansible_repository_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 
 **data** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(ansible_repository_href, data)

Partially update an ansible repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/
data = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Partially update an ansible repository
  result = api_instance.partial_update(ansible_repository_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 
 **data** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## read

> AnsibleAnsibleRepository read(ansible_repository_href, opts)

Inspect an ansible repository

ViewSet for Ansible Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect an ansible repository
  result = api_instance.read(ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(ansible_repository_href, data)



Trigger an asynchronous task to sync Ansible content.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/
data = PulpAnsibleClient::RepositorySyncURL.new # RepositorySyncURL | 

begin
  result = api_instance.sync(ansible_repository_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 
 **data** | [**RepositorySyncURL**](RepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## update

> AsyncOperationResponse update(ansible_repository_href, data)

Update an ansible repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/
data = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Update an ansible repository
  result = api_instance.update(ansible_repository_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 
 **data** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

