# PulpAnsibleClient::RepositoriesAnsibleVersionsApi

All URIs are relative to *http://localhost:24817*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete**](RepositoriesAnsibleVersionsApi.md#delete) | **DELETE** {ansible_repository_version_href} | Delete a repository version
[**list**](RepositoriesAnsibleVersionsApi.md#list) | **GET** {ansible_repository_href}versions/ | List repository versions
[**read**](RepositoriesAnsibleVersionsApi.md#read) | **GET** {ansible_repository_version_href} | Inspect a repository version
[**repair**](RepositoriesAnsibleVersionsApi.md#repair) | **POST** {ansible_repository_version_href}repair/ | 



## delete

> AsyncOperationResponse delete(ansible_repository_version_href)

Delete a repository version

Trigger an asynchronous task to delete a repositroy version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_repository_version_href = 'ansible_repository_version_href_example' # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/versions/1/

begin
  #Delete a repository version
  result = api_instance.delete(ansible_repository_version_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/versions/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> InlineResponse2008 list(ansible_repository_href, opts)

List repository versions

RpmRepositoryVersion represents a single file repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_repository_href = 'ansible_repository_href_example' # String | URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  number: 3.4, # Float | 
  number__lt: 3.4, # Float | Filter results where number is less than value
  number__lte: 3.4, # Float | Filter results where number is less than or equal to value
  number__gt: 3.4, # Float | Filter results where number is greater than value
  number__gte: 3.4, # Float | Filter results where number is greater than or equal to value
  number__range: 3.4, # Float | Filter results where number is between two comma separated values
  pulp_created__lt: 'pulp_created__lt_example', # String | Filter results where pulp_created is less than value
  pulp_created__lte: 'pulp_created__lte_example', # String | Filter results where pulp_created is less than or equal to value
  pulp_created__gt: 'pulp_created__gt_example', # String | Filter results where pulp_created is greater than value
  pulp_created__gte: 'pulp_created__gte_example', # String | Filter results where pulp_created is greater than or equal to value
  pulp_created__range: 'pulp_created__range_example', # String | Filter results where pulp_created is between two comma separated values
  content: 'content_example', # String | Content Unit referenced by HREF
  pulp_created: 'pulp_created_example', # String | ISO 8601 formatted dates are supported
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List repository versions
  result = api_instance.list(ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_href** | **String**| URI of Ansible Repository. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/ | 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **number** | **Float**|  | [optional] 
 **number__lt** | **Float**| Filter results where number is less than value | [optional] 
 **number__lte** | **Float**| Filter results where number is less than or equal to value | [optional] 
 **number__gt** | **Float**| Filter results where number is greater than value | [optional] 
 **number__gte** | **Float**| Filter results where number is greater than or equal to value | [optional] 
 **number__range** | **Float**| Filter results where number is between two comma separated values | [optional] 
 **pulp_created__lt** | **String**| Filter results where pulp_created is less than value | [optional] 
 **pulp_created__lte** | **String**| Filter results where pulp_created is less than or equal to value | [optional] 
 **pulp_created__gt** | **String**| Filter results where pulp_created is greater than value | [optional] 
 **pulp_created__gte** | **String**| Filter results where pulp_created is greater than or equal to value | [optional] 
 **pulp_created__range** | **String**| Filter results where pulp_created is between two comma separated values | [optional] 
 **content** | **String**| Content Unit referenced by HREF | [optional] 
 **pulp_created** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2008**](InlineResponse2008.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> RepositoryVersion read(ansible_repository_version_href, opts)

Inspect a repository version

RpmRepositoryVersion represents a single file repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_repository_version_href = 'ansible_repository_version_href_example' # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/versions/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a repository version
  result = api_instance.read(ansible_repository_version_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/versions/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**RepositoryVersion**](RepositoryVersion.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## repair

> AsyncOperationResponse repair(ansible_repository_version_href, data)



Trigger an asynchronous task to repair a repositroy version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_repository_version_href = 'ansible_repository_version_href_example' # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/versions/1/
data = PulpAnsibleClient::RepositoryVersion.new # RepositoryVersion | 

begin
  result = api_instance.repair(ansible_repository_version_href, data)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->repair: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/ansible/ansible/1/versions/1/ | 
 **data** | [**RepositoryVersion**](RepositoryVersion.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

